function upTetrah()
	p0=[0,0.612,0];p1=[0.5,-0.204,0.289];p2=[-0.5,-0.204,0.289];p3=[0,-0.204,-0.577]
	data=GLfloat[ p0[1], p0[2], p0[3],
		p2[1],p2[2], p2[3],
		p1[1],p1[2], p1[3],

		p1[1],p1[2], p1[3],
		p2[1],p2[2], p2[3],
		p3[1], p3[2], p3[3],

		p2[1],p2[2], p2[3],
		p0[1], p0[2], p0[3],
		p3[1],p3[2],p3[3],

		p3[1], p3[2], p3[3],
		p0[1],p0[2],p0[3],
		p1[1],p1[2], p1[3] ]
	n0=cross(p2-p0,p1-p2);n1=cross(p2-p1,p3-p2);n2=cross(p0-p2,p3-p0);n3=cross(p0-p3,p1-p0)
	normals=GLfloat[ n0[1],n0[2],n0[3],
		n0[1],n0[2],n0[3],
		n0[1],n0[2],n0[3],
		
		n1[1],n1[2],n1[3],
		n1[1],n1[2],n1[3],
		n1[1],n1[2],n1[3],
		
		n2[1],n2[2],n2[3],
		n2[1],n2[2],n2[3],
		n2[1],n2[2],n2[3],
		
		n3[1],n3[2],n3[3],
		n3[1],n3[2],n3[3],
		n3[1],n3[2],n3[3] ]
	return data,normals
end
